package com.tarena.oss.rights.dao;

import java.util.Collection;

import com.tarena.oss.rights.pojo.Module;
import com.tarena.oss.rights.pojo.Operation;
import com.tarena.oss.rights.pojo.Rights;

public interface RightsMgmtDAO {
	
	public void insertRights(Rights r);
	public void updateRights(Rights r);
	public void deleteRights(Rights r);
	public Rights queryRight(Integer id);
	public Collection<Operation> queryOperation();
	public Collection<Module> queryModules();
	public Collection<Rights> queryRights();
	public Collection<Rights> queryRights(int currentPage);
	public Collection<Rights> queryRights(String cond, int currentPage);
	public int queryRightCnt();
	public int queryRightCnt(String cond);
	public Operation queryOperation(Integer id);
}
